<a name="readme-top"></a>

<h1 align="center">
  <br />
    <a href="https://illyrion.eu/">
      <img src="https://raw.githubusercontent.com/IllyrionSoftware/.github/main/icons/Dalmatium.webp" alt="Dalmatium Logo" width="200">
    </a>
  <br /><br />
  Dalmatium
  <br />
  <br />
</h1>

<h4 align="center">Our Library enforcing the DRY principle and making code REUSABLE.</h4><br />

<div align="center">

[![Contributors][contributors_shield_url]][contributors_url]
[![Issues][issues_shield_url]][issues_url]
[![Roadmap][roadmap_shield_url]][roadmap_url]<br />
[![CI/CD][workflow_shield_url]][workflow_url]</div>

## Table of Contents

- [About The Project](#about-the-project)
- [Getting Started](#getting-started)
- [Code of Conduct][code_of_conduct_url]
- [Contributing][contributing_url]
- [License][license_url]
- [Security][security_url]

## About The Project

Dalmatium is not just a Python library, it's your companion in creating efficient and clean Python code. Built to simplify the coding process, Dalmatium offers a rich array of tools, empowering developers to focus on creating remarkable projects that tackle real-world challenges.

Whether you're a seasoned Python developer or just embarking on your coding adventure, Dalmatium strives to be your ultimate Python ally. Say goodbye to repetitive tasks and embrace best coding practices, letting Dalmatium pave the way for a seamless development experience.

**Why Dalmatium?**

> :straight_ruler: **Customizable and Precise Code:** Tailor your code to your exact specifications, ensuring precision in every project.

> :book: **Well-documented Library:** Dalmatium comes with comprehensive documentation, making it easier for developers to understand and utilize its features.

> :triangular_ruler: **Embraces the DRY Principle:** Dalmatium is built around the "Don't Repeat Yourself" principle, promoting code reuse and reducing redundancy.

> :hourglass_flowing_sand: **Time-saving and Efficient:** Say goodbye to repetitive tasks and hello to efficiency, saving you valuable time.

> :white_check_mark: **Currently supports:** `Python 3.12` and up

As the coding landscape evolves, so will Dalmatium. Expect ongoing updates and improvements to cater to diverse project needs. Your feedback, suggestions, and contributions are highly valued, let's make Dalmatium even better together.

Feel free to dive into the documentation to kickstart your journey with Dalmatium.

<div align="center"><h3>Built With</h3>

[![Built With][built_with_shield_url]][built_with_url]</div>

</details><p align="right"><a href="#readme-top">▲</a></p>

[built_with_shield_url]: https://skillicons.dev/icons?i=docker,py
[built_with_url]: https://skillicons.dev
[code_of_conduct_url]: https://github.com/IllyrionSoftware/Dalmatium?tab=coc-ov-file
[contributing_url]: https://github.com/IllyrionSoftware/Dalmatium/blob/main/CONTRIBUTING.md
[contributors_shield_url]: https://img.shields.io/github/contributors/IllyrionSoftware/Dalmatium?style=for-the-badge&color=blue
[contributors_url]: https://github.com/IllyrionSoftware/Dalmatium/graphs/contributors
[issues_shield_url]: https://img.shields.io/github/issues/IllyrionSoftware/Dalmatium?style=for-the-badge&color=yellow
[issues_url]: https://github.com/IllyrionSoftware/Dalmatium/issues
[license_url]: https://github.com/IllyrionSoftware/Dalmatium?tab=AGPL-3.0-1-ov-file
[roadmap_shield_url]: https://img.shields.io/badge/Roadmap-Click%20Me!-purple.svg?style=for-the-badge
[roadmap_url]: https://github.com/orgs/IllyrionSoftware/projects/4
[security_url]: https://github.com/IllyrionSoftware/Dalmatium?tab=security-ov-file
[workflow_shield_url]: https://github.com/IllyrionSoftware/Dalmatium/actions/workflows/ci_cd.yml/badge.svg
[workflow_url]: https://github.com/IllyrionSoftware/Dalmatium/actions/workflows/ci_cd.yml
